OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.Texturing.Objects

Description

This module corresponds to section 3.8.12 (Texture Objects) of the OpenGL 2.1 specs.

# Documentation

newtype TextureObject Source

Constructors

TextureObject GLuint |

Instances

Eq TextureObject |
Ord TextureObject |
Show TextureObject |
ObjectName TextureObject |

textureBinding :: TextureTarget -> StateVar (Maybe TextureObject)Source

textureResident :: TextureTarget -> GettableStateVar Bool Source

areTexturesResident :: [TextureObject] -> IO ([TextureObject], [TextureObject])Source

type TexturePriority = GLclampf Source

texturePriority :: TextureTarget -> StateVar TexturePriority Source

prioritizeTextures :: [(TextureObject, TexturePriority)] -> IO ()Source